<?php
require'f_cantari.php';
require'f_conectare.php';
conectare('cauta în cantari','cauta-in-cantari');
$titlu='Caută în cantari';
$back[2]='<a href="/cautare">'.img('search.png',2).'Cautare</a>';
require'f_sus.php';
echo$div[4].img('search.png',2).'Caută în cantari'.$div[5];
if($pmtext!=''||$go!='')
{
$go=rawurldecode($go);
if($pmtext!='')
$go=$pmtext;
$sin=(isset($_POST['sin'])?$_POST['sin']:$_GET['sin']);
$sor=(isset($_POST['sor'])?$_POST['sor']:$_GET['sor']);
$x2='?sin='.$sin.'&amp;sor='.$sor.'&amp;go='.rawurlencode($go);
if($sin==1)
$cond='`text`';
elseif($sin==2)
$cond='`nume`';
if($sor==1)
$ord_fields='`nume`';
elseif($sor==2)
$ord_fields='`data`';
else
$ord_fields='`data`DESC ';
$elemente=$conn->query('SELECT COUNT(*)FROM`cantari`WHERE'.$cond.'LIKE"%'.$go.'%"')->fetch_row()[0];
if($elemente>0)
{
require'f_paginare1.php';
$items=$conn->query('SELECT`id`,`nume`FROM`cantari`WHERE'.$cond.'LIKE"%'.$go.'%"ORDER BY'.$ord_fields.'LIMIT '.$limit_start.','.$pe_pagina);
while($item=$items->fetch_row())
{
echo$div[1].'<a href="/cantare/id/'.$item[0].'-'.seo($item[1]).'">'.htmlspecialchars($item[1]).'</a>'.$div[0];
}
require'f_paginare2.php';
}
else
echo$div[7].'Nu sunt rezultate!'.$div[0];
require'f_jos.php';
}
$form[0]='/cauta-in-cantari" method="post';
$form[1]=1;
require'f_scris3.php';
$form[2]=$div[1].'Text:<br /><input name="pmtext" maxlength="77" />'.$div[0].$div[1].'Cauta in:<br />'.scris3('sin','1,,Texte cantari::2,,Nume cantari','1').$div[0].$div[1].'Ordonare dupa:<br />'.scris3('sor','1,,Alfabet::2,,Data postării (ascendent)::3,,Data postării (descendent)','1').$div[0];
$form[3]='pmtext::sin::sor';
$form[4]='Cauta';
require'f_form.php';
require'f_jos.php';